<?php
/**
 * @file
 * Settings page callback file for the cck_video module.
 */

/**
 * Menu callback;
 */
 
function cck_video_admin_settings() {
  //Check if JW Player available
  $cck_video_jwplayer_path = variable_get('cck_video_jwplayer_path', 'sites/all/libraries/mediaplayer');
  
  if (!file_exists($cck_video_jwplayer_path . '/jwplayer.js')) {
    drupal_set_message(check_plain('Can not find: ' . $cck_video_jwplayer_path . '/jwplayer.js. You must upload JW Player libs to: ' . $cck_video_jwplayer_path, 'error'));
  }
  
  //Flowplayer 3 was inlcuded now
  
  $form = array();
  // only administrators can access this function
  
  // Generate the form - settings applying to all patterns first
  $form['cck_video_settings'] = array(
    '#type' => 'fieldset',
    '#weight' => -30,
    '#title' => t('Basic settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE    
  );
  
  $form['cck_video_settings']['cck_video_player'] = array(
    '#type' => 'select',
    '#title' => t('Player Name'),
    '#default_value' => variable_get('cck_video_player', 'JW Player'),
    '#options' => array('JW Player' => 'JW Player', 'Flow Player' => 'Flow Player'),
  );
  
  $form['cck_video_settings']['cck_video_jwplayer_path'] = array(
    '#type' => 'textfield',
    '#title' => t('JW Player Path'),
    '#default_value' => variable_get('cck_video_jwplayer_path', 'sites/all/libraries/mediaplayer'),
    '#description' => t('<ul><li>JW Player: You must download JW Player from <a href="http://www.longtailvideo.com/players/jw-flv-player/">JW Player download</a> then upload to above path.</li><li>Flowplayer: Due to jQuery 1.3 of Drupal 6, we can only use Flowplayer 3. To avoid Video broken then CCK Video 6.x now include Flowplayer 3 which uses: flowplayer-3.2.11.min.js and flowplayer-3.2.15.swf</li></ul>'),
  );

  return system_settings_form($form);
}

